{--------------------------------------------------------------------------}
{                                                                          }
{                   -=> Terminate Phone directory  <=-                     }
{                                                                          }
{   The phonebook has first one PhoneHeadRec, and then up to 500 PhoneRec  }
{                                                                          }
{  Structure is copyrighted material and may not be changed by others than }
{                              SerWiz Comm                                 }
{                                                                          }
{--------------------------------------------------------------------------}

Const
  MaxNumbers = 500;

Type

      PhoneRec = Record
                   Name        : String[30]; { Name of system                 }
                   Number      : String[24]; { Number to call                 }
                   Device      : Byte;       { Device to use                  }
                   Baud        : LongInt;    { Information on baudrate        }
                   MinBaud     : Array[1..3] of Byte; { Minimum connect speed }
                   Keyboard    : String[8];  { Keyboard file to use           }
                   Terminal    : Byte;       { Emulation to use               }
                   DialSuffix  : Byte;       { Which Dialsuffix after number  }
                   DialPrefix  : Byte;       { Dialprefix                     }
                   Password    : String[24]; { Password to use                }
                   Open,Closed : Word;       { Opening hours 20:30 = 20*60+30 }
                   User        : Byte;       { Username to use                }
                   Comment1    : String[40]; { Note 1                         }
                   Comment2    : String[40]; { Note 2                         }
                   LoginScript : Byte;       { Autologin script               }
                   Downloaddir : Byte;       { Download to which path         }
                   Translate   : String[8];  { Translation table              }
                   Capture     : String[8];  { Default capture file           }
                   Note        : String[8];  { A file containing notes        }
                   LocalEcho   : Boolean;    { Turn on local echo             }
                   StripHigh   : Boolean;    { Strip above 127 from incoming  }
                   RcvdBSdest  : Boolean;    { Backspace destroyes            }
                   Color       : Byte;       { Attribute of entry             }
                   JulDate     : Word;       { Julian date of last connect    }
                   CalcMin     : Word;       { Time of last con. Hour*60+min  }
                   Connects    : Word;       { Number of connects             }
                   SecUsed     : LongInt;    { Seconds used on system         }
                   UploadKb    : LongInt;    { Kilobytes of uploads           }
                   DownloadKb  : LongInt;    { Kilobytes of downloads         }
                   Costs       : LongInt;    { Total money used on system     }
                   LastCosts   : LongInt;    { Used this month                }
                 End;

  PhoneHeadRec = Record
                   Encrypted  : Boolean;    { Is phonebook encrypted         }
                   Seed       : Longint;    { Key to decrypt entries         }
                   Version    : String[5];  { Version is Terminate           }
                   Comment    : String[26]; { Phonebook note                 }
                   Password   : Longint;    { CRC-32 password                }
                   Num        : Integer;    { Total entries                  }
                   CurMonth   : Byte;       { Current month                  }
                   MonthCosts : Array[1..12]{ For keeping track of how much  }
                                of Longint; { money used a hole year back    }
                   PhonePos   : Integer;    { Last entry processed           }
                   ScrPos,                  { Where on screen is menubar     }
                   WritePos   : Byte;       { Last pos for left/right cursor }
                   RangeStart,              { Last Range Start               }
                   RangeStop  : Integer;    { Last Range stop                }
                 End;

     PhoneType = Record
                   Tag  : Boolean;
                   P    : PhoneRec;
                 End;

Var
  PHead        : PhoneHeadRec;
  Ph           : Array[0..MaxNumbers] of ^PhoneType;

                 { Record 0 is used for manual dialing }

